Pepvote Support Center

Get Results

GET
/voting-events/{idOrCode}/results

Authorization

bearerAuth
AuthorizationBearer <token>

A key in the form pepvote_api_ followed by 32 hexadecimal characters.

In: header

Header Parameters

User-Agentstringrequired

Name and version of the calling integration. Required on every request.

Path Parameters

idOrCodestringrequired

Voting event ID or code.

Response Body

application/json

curl -X GET "https://example.com/voting-events/string/results" \  -H "User-Agent: my-app/1.0"
{
  "data": {
    "votingEventId": "string",
    "positions": [
      {
        "id": "string",
        "title": "string",
        "desc": "string",
        "groupId": "string",
        "votingMethod": "string",
        "tallyRule": {
          "type": "plurality_total",
          "seatCount": 1,
          "stvQuota": "droop",
          "bordaSchema": "zero_based"
        },
        "totalCandidates": 0,
        "totalVotes": 0,
        "totalWeightedVotes": 0,
        "rankedChoiceCount": 0,
        "tallyComputedAt": 0,
        "tallyRecountPending": true,
        "tallyTrace": {
          "kind": "additive",
          "rule": "plurality_total",
          "rawTotal": 0,
          "effectiveTotal": 0,
          "candidates": [
            {
              "candidateId": "string",
              "rawValue": 0,
              "effectiveValue": 0
            }
          ]
        },
        "referendum": {
          "responses": 0,
          "weightedResponses": 0,
          "valid": 0,
          "weightedValid": 0,
          "for": {
            "candidateId": "string",
            "name": "string",
            "votes": 0,
            "weightedVotes": 0,
            "shareOfResponses": 0,
            "weightedShareOfResponses": 0,
            "shareOfValid": 0,
            "weightedShareOfValid": 0
          },
          "against": {
            "candidateId": "string",
            "name": "string",
            "votes": 0,
            "weightedVotes": 0,
            "shareOfResponses": 0,
            "weightedShareOfResponses": 0,
            "shareOfValid": 0,
            "weightedShareOfValid": 0
          },
          "abstain": {
            "candidateId": "string",
            "name": "string",
            "votes": 0,
            "weightedVotes": 0,
            "shareOfResponses": 0,
            "weightedShareOfResponses": 0,
            "shareOfValid": 0,
            "weightedShareOfValid": 0
          }
        },
        "candidates": [
          {
            "id": "string",
            "name": "string",
            "status": "string",
            "groupId": "string",
            "referendumRole": "string",
            "avatarUrl": "string",
            "votesWon": 0,
            "weightedVotesWon": 0,
            "percentageWon": 0,
            "weightedPercentageWon": 0
          }
        ]
      }
    ]
  }
}
Was this helpful?

Last updated September 6, 2026